Python
import os
from qaip import Qaip
client = Qaip(
api_key=os.environ.get("QAIP_API_KEY"), # This is the default and can be omitted
)
crawl = client.crawls.delete(
"id",
)
print(crawl.id)curl --request DELETE \
--url https://developer.qaip.com/api/v1/crawls/{id} \
--header 'x-api-key: <api-key>'const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}};
fetch('https://developer.qaip.com/api/v1/crawls/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"start_url": "<string>",
"status": "unknown",
"ingestion_setting_id": "<string>",
"creation_time": 123,
"start_time": 123,
"end_time": 123,
"error": {
"title": "<string>",
"message": "<string>"
},
"metadata": {
"records": [
{
"key": "<string>",
"val": "<string>",
"type": "string"
}
]
}
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}References
Start deletion of web crawl data source
Initiates an asynchronous deletion job for the specified web crawl data source. The response indicates that the deletion job has been accepted, not that the deletion is complete.
Required scope: ingestion:manage
DELETE
/
crawls
/
{id}
Python
import os
from qaip import Qaip
client = Qaip(
api_key=os.environ.get("QAIP_API_KEY"), # This is the default and can be omitted
)
crawl = client.crawls.delete(
"id",
)
print(crawl.id)Authorizations
API key for authentication
Path Parameters
Web crawl data source ID
Response
Successfully deleted web crawl data source
Web crawl data source ID
Name of the web crawl ingestion setting
Start URL of the web crawl
Job status
Available options:
unknown, queued, not_started, managed, starting, started, success, failure, canceling, canceled, deleting, delete_job_failure Web crawl ingestion setting ID
Creation time (Unix timestamp in seconds)
Job start time (Unix timestamp in seconds)
Job end time (Unix timestamp in seconds)
Show child attributes
Show child attributes
(reserved for future use) Additional metadata for the web crawl data source
Show child attributes
Show child attributes

